Subject: bug#33847: 27.0.50; emacsclient does not find server socket

From: Paul Eggert <[email-masked]>
Date: Thu, 27 Dec 2018 22:35:12 -0800

Ulrich Mueller wrote:
>> Ulrich, have you tried starting your Emacs server as a lingering
>> service? Lingering seems to be designed for the sort of thing you want
>> to do. Look for "enable-linger" in
>> <https://www.freedesktop.org/software/systemd/man/loginctl.html>.
> That would require systemd, so it is not a solution that can be
> universally used. Especially it is GNU/Linux specific.

We don't need to attack the problem in general, only the problem on platforms 
that have XDG_RUNTIME_DIR. What sort of platforms have XDG_RUNTIME_DIR but do 
not use systemd, and how does one start a user-specific server on such platforms?